# Create Template

> Create an org-level file catalogue entry.

Canonical URL: https://docs.botyard.io/docs/api/file-templates/create_template_v1_orgs__org_id__file_templates_post

`POST /v1/orgs/{org_id}/file-templates`

Create an org-level file catalogue entry.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `org_id` | path | yes | string |  |

## Request body

`application/json`: BotFileCatalogueCreateRequest (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `file_type` | BotFileType | yes | File type: soul or heartbeat |
| `name` | string | yes | Entry name |
| `content` | string | yes | Entry content (markdown) |
| `is_default` | boolean | no | Set as default for this scope+file_type |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `201` | Successful Response | BotFileCatalogueResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `create_template_v1_orgs__org_id__file_templates_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
